/*
 *     file: SLeakPreferencePage.java
 *  package: org.eclipse.swt.sleak.plugin.preference
 *
 * This program and the accompanying materials are made available under 
 * the terms of the Common Public License v1.0 which accompanies this 
 * distribution, and is available at the following URL: 
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Copyright(c) 2003-2005 by the authors indicated in the @author tags.
 * All Rights are Reserved by the various authors.
 *
 ########## DO NOT EDIT ABOVE THIS LINE ########## */

package org.eclipse.swt.sleak.plugin.preference;

import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.regex.tools.ui.RegexPatternSetFieldEditor;
import org.eclipse.swt.sleak.plugin.SLeakPlugin;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

/**
 * The preference page for the SLeak plugin.
 * 
 * @author <a href=mailto:kraythe@arcor.de>Robert Simmons Jr. (Kraythe) </a>
 */
public class SLeakPreferencePage extends FieldEditorPreferencePage implements
                                                                  IWorkbenchPreferencePage {

    /**
     * Creates a new <code>SLeakPreferencePage</code> with the given parameters.
     */
    public SLeakPreferencePage() {
        super(I18N.TITLE_SLEAK_PREF_PAGE, SLeakPlugin.getPluginImage("icons/drip.gif"), //$NON-NLS-1$
              FieldEditorPreferencePage.FLAT);
        final IPreferenceStore prefStore = SLeakPlugin.getDefault().getPreferenceStore();
        setPreferenceStore(prefStore);
    }

    /**
     * @see org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
     */
    public void init(final IWorkbench workbench) {
        // no code needed
    }

    /**
     * @see org.eclipse.jface.preference.IPreferencePage#isValid()
     */
    public boolean isValid() {
        // Cant ever get into invalid state because the pattern set editor
        // doesnt permit invalid patterns.
        return true;
    }

    /**
     * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
     */
    protected void createFieldEditors() {
        addField(new RegexPatternSetFieldEditor(SLeakPreferenceConstants.FILTER_PATTERNS,
                                                I18N.LBL_FILTERS, getFieldEditorParent()));
    }
}

/* ########## End of File ########## */