/*
 *     file: RegexToolsPlugin.java
 *  package: org.eclipse.regex.tools.plugin
 *
 * This program and the accompanying materials are made available under 
 * the terms of the Common Public License v1.0 which accompanies this 
 * distribution, and is available at the following URL: 
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Copyright(c) 2003-2005 by the authors indicated in the @author tags.
 * All Rights are Reserved by the various authors.
 *
 ########## DO NOT EDIT ABOVE THIS LINE ########## */

package org.eclipse.regex.tools.plugin;

import org.eclipse.core.runtime.Plugin;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The main plugin class to be used in the desktop.
 * 
 * @author <a href=kraythe@arcor.de>Robert Simmons Jr. </a>
 */
public class RegexToolsPlugin extends Plugin {

    /** The shared instance. */
    private static RegexToolsPlugin plugin;

    /** The ID of thep plugin. */
    public final static String ID = RegexToolsPlugin.class.getName();

    /**
     * Fetch an Image from a path inside the plugin. Note that the caller is responsible
     * for disposing of these images.
     * 
     * @param path The path of the icon.
     * @return The constructed image.
     */
    public final static ImageDescriptor getPluginImage(final String path) {
        return AbstractUIPlugin.imageDescriptorFromPlugin(RegexToolsPlugin.ID, path);
    }

    /**
     * Creates a new <code>RegexToolsPlugin</code>.
     */
    public RegexToolsPlugin() {
        super();
        plugin = this;
    }

    /**
     * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
     */
    public void start(BundleContext context) throws Exception {
        super.start(context);
    }

    /**
     * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
     */
    public void stop(BundleContext context) throws Exception {
        super.stop(context);
    }

    /**
     * Returns the shared instance.
     */
    public static RegexToolsPlugin getDefault() {
        return plugin;
    }
}

/* ########## End of File ########## */