/*
 *     file: IDeviceDataCache.java
 *  package: org.eclipse.swt.sleak.core
 *
 * This program and the accompanying materials are made available under 
 * the terms of the Common Public License v1.0 which accompanies this 
 * distribution, and is available at the following URL: 
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Copyright(c) 2003-2005 by the authors indicated in the @author tags.
 * All Rights are Reserved by the various authors.
 *
 ########## DO NOT EDIT ABOVE THIS LINE ########## */

package org.eclipse.swt.sleak.core;

import java.util.Date;
import java.util.SortedSet;

/**
 * The base of all device data cache types.
 * 
 * @author <a href=mailto:kraythe@arcor.de>Robert Simmons Jr. (Kraythe) </a>
 */
public interface IDeviceDataCache {

    /**
     * @see java.lang.Comparable#compareTo(java.lang.Object)
     */
    public int compareTo(final Object obj);

    /**
     * Fetch the requested category from the cache.
     * 
     * @return The cached resources in an unmodifiable sorted set.
     */
    public SortedSet getCategory(final ObjectCategory category);

    /**
     * Get the creation time of the cache.
     * 
     * @return The time this cache was created.
     */
    public Date getCreationTime();
}

/* ########## End of File ########## */