/*
 *     file: ISLeakEventListener.java
 *  package: org.eclipse.swt.sleak.core
 *
 * This program and the accompanying materials are made available under 
 * the terms of the Common Public License v1.0 which accompanies this 
 * distribution, and is available at the following URL: 
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Copyright(c) 2003-2005 by the authors indicated in the @author tags.
 * All Rights are Reserved by the various authors.
 *
 ########## DO NOT EDIT ABOVE THIS LINE ########## */

package org.eclipse.swt.sleak.core;

/**
 * Describes a listener that listens to events produced by the S-Leak cache manager.
 * 
 * @author <a href=mailto:kraythe@arcor.de>Robert Simmons Jr. (Kraythe) </a>
 */
public interface ISLeakEventListener {

    /**
     * Called to let the listener know that the list of caches was updated.
     * 
     * @param event The event detail.
     */
    public void doCachesUpdated(final SLeakEvent event);

    /**
     * Called to let the listener know that the monitoring status has changed.
     * 
     * @param event The event detail.
     */
    public void doMonitorStateChanged(final SLeakEvent event);
}

/* ########## End of File ########## */