/*
 *     file: ISnapshotDeviceDataCache.java
 *  package: org.eclipse.swt.sleak.core
 *
 * This program and the accompanying materials are made available under 
 * the terms of the Common Public License v1.0 which accompanies this 
 * distribution, and is available at the following URL: 
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Copyright(c) 2003-2005 by the authors indicated in the @author tags.
 * All Rights are Reserved by the various authors.
 *
 ########## DO NOT EDIT ABOVE THIS LINE ########## */

package org.eclipse.swt.sleak.core;

import org.eclipse.swt.widgets.Display;

/**
 * Encapsulates a snapshot of the DeviceData information for a particular display at a
 * particular moment.
 * 
 * @author <a href=mailto:kraythe@arcor.de>Robert Simmons Jr. (Kraythe) </a>
  * @see org.eclipse.swt.sleak.core.ISLeak
*/
public interface ISnapshotDeviceDataCache extends IDeviceDataCache {

    /**
     * Getter for display: The display pertaining to this snapshot.
     * 
     * @return Returns the display.
     */
    public Display getDisplay();
}
/* ########## End of File ########## */