/*
 *     file: CategoryAndCache.java
 *  package: org.eclipse.swt.sleak.plugin.views
 *
 * This program and the accompanying materials are made available under 
 * the terms of the Common Public License v1.0 which accompanies this 
 * distribution, and is available at the following URL: 
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Copyright(c) 2003-2005 by the authors indicated in the @author tags.
 * All Rights are Reserved by the various authors.
 *
 ########## DO NOT EDIT ABOVE THIS LINE ########## */

package org.eclipse.swt.sleak.plugin.views;

import org.eclipse.swt.sleak.core.IDeviceDataCache;
import org.eclipse.swt.sleak.core.ObjectCategory;

/**
 * A helper class used to store category sets of information.
 * 
 * @author <a href=mailto:kraythe@arcor.de>Robert Simmons Jr. (Kraythe) </a>
 */
class CategoryAndCache {

    /** The category to which this <code>CategoryAndCache</code> refer to. */
    final ObjectCategory category;

    /** The cache to which this <code>CategoryAndCache</code> refer to. */
    final IDeviceDataCache cache;

    /**
     * Creates a new <code>CategoryAndCache</code> with the given parameters.
     * 
     * @param category
     * @param cache
     */
    public CategoryAndCache(final ObjectCategory category, final IDeviceDataCache cache) {
        this.category = category;
        this.cache = cache;
    }
}

/* ########## End of File ########## */